#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, k;
    scanf("%d %d", &n, &k);
    int meta[2*n+1];
    int i;
    for(i=0;i<2*n+1;i++)
        meta[i]=i-n;

    int pogodak[n], j;
    for(j=0;j<n;j++)
        scanf("%d", &pogodak[j]);

    int zamenjeno=0, pogodjenaPolja[2*n+1];

    for(i=0;i<2*n+1;i++)
        pogodjenaPolja[i]=0;

    for(j=0;j<n;j++)
        for(i=0;i<2*n+1;i++)
            if(pogodak[j]==meta[i])
                pogodjenaPolja[i]++;

    for(i=0;i<2*n+1;i++)
        if(pogodjenaPolja[i]>=k)
            zamenjeno++;
    printf("%d\n", zamenjeno);

    for(i=0;i<2*n+1;i++)
        if(pogodjenaPolja[i]>=k)
            printf("%d ", meta[i]);
    return 0;
}